Definition of implicit attribute set handlers

## Macros

#define | FLEXT_ATTRSET_F(VAR)
| Declare an implicit set function for a float attribute.
#define | FLEXT_ATTRSET_I(VAR)
| Declare an implicit set function for an integer attribute.
#define | FLEXT_ATTRSET_S(VAR)
| Declare an implicit set function for a symbol attribute.
#define | FLEXT_ATTRSET_B(VAR)
| Declare an implicit set function for a boolean attribute.
#define | FLEXT_ATTRSET_E(VAR, TP)
| Declare an implicit set function for an enum attribute.
#define | FLEXT_ATTRSET_V(VAR)
| Declare an implicit set function for a variable list attribute.

## Detailed Description

## Macro Definition Documentation

## FLEXT_ATTRSET_B

#define FLEXT_ATTRSET_B | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRSET_(VAR,bool)
FLEXT_CAST
#define FLEXT_CAST
Switch for compilation of derived virtual classes.
Definition fldefs.h:27

Declare an implicit set function for a boolean attribute.

## FLEXT_ATTRSET_E

#define FLEXT_ATTRSET_E | ( |  | VAR,
|  |  | TP
| ) |  |

Value:
\
FLEXT_ATTRSET_(VAR,TP)

Declare an implicit set function for an enum attribute.

## FLEXT_ATTRSET_F

#define FLEXT_ATTRSET_F | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRSET_(VAR,float)

Declare an implicit set function for a float attribute.

## FLEXT_ATTRSET_I

#define FLEXT_ATTRSET_I | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRSET_(VAR,int)

Declare an implicit set function for an integer attribute.

## FLEXT_ATTRSET_S

#define FLEXT_ATTRSET_S | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRSET_(VAR,const t_symbol *)

Declare an implicit set function for a symbol attribute.

## FLEXT_ATTRSET_V

#define FLEXT_ATTRSET_V | ( |  | VAR | ) |

Value:
static bool FLEXT_SET_PRE(VAR)(flext_base *c,flext::AtomList *&arg) \
{ FLEXT_CAST<thisType *>(c)->VAR = *arg; return true; }
flext_base
Definition flclass.h:60
FLEXT_SET_PRE
#define FLEXT_SET_PRE(F)
Definition flbase.h:339

Declare an implicit set function for a variable list attribute.